## org.springframework.mock.web.portlet
Class MockCacheControl

    java.lang.Object
      org.springframework.mock.web.portlet.MockCacheControl

All Implemented Interfaces:
  CacheControl

    public class MockCacheControl

extends Object
implements CacheControl

Mock implementation of the `CacheControl` interface.

Since:
  3.0
Author:
  Juergen Hoeller

Constructor Summary
`MockCacheControl()`

Method Summary
`String` `getETag()`
`int` `getExpirationTime()`
`boolean` `isPublicScope()`
`void` `setETag(String token)`
`void` `setExpirationTime(int time)`
`void` `setPublicScope(boolean publicScope)`
`void` `setUseCachedContent(boolean useCachedContent)`
`boolean` `useCachedContent()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockCacheControl

    public MockCacheControl()

Method Detail

### getExpirationTime

    public int getExpirationTime()

  Specified by:
    `getExpirationTime` in interface `CacheControl`

### setExpirationTime

    public void setExpirationTime(int time)

  Specified by:
    `setExpirationTime` in interface `CacheControl`

### isPublicScope

    public boolean isPublicScope()

  Specified by:
    `isPublicScope` in interface `CacheControl`

### setPublicScope

    public void setPublicScope(boolean publicScope)

  Specified by:
    `setPublicScope` in interface `CacheControl`

### getETag

    public String getETag()

  Specified by:
    `getETag` in interface `CacheControl`

### setETag

    public void setETag(String token)

  Specified by:
    `setETag` in interface `CacheControl`

### useCachedContent

    public boolean useCachedContent()

  Specified by:
    `useCachedContent` in interface `CacheControl`

### setUseCachedContent

    public void setUseCachedContent(boolean useCachedContent)

  Specified by:
    `setUseCachedContent` in interface `CacheControl`